svm_C_predict {galgo} | R Documentation

## Class prediction using support vector machines method calling the C/R code

### Description

This function really calls the C function that is provided in svm package. The only difference with svm function is that many checks are removed in order to speed up the process. However, it is responsability of the user use valid values.

### Usage

    svm_C_predict(x, parent, tr, te, result, ...)

### Arguments

`x` | Chromosome. Must be integer, use as.integer().
`parent` | Bigbang object.
`tr` | Sample indexes for training vector. Must be integer, use as.integer().
`te` | Sample indexes for test vector. Must be integer, use as.integer().
`result` | 0 indicates to return class prediction, non-zero returns the proportion of samples with same class prediction. Must be integer, use as.integer().
`...` | Not used. Included for package compatbility documentation purposes.

### Value

Vector of classes (integer) or numeric value. Depends on `result` argument.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K.

### See Also

`svm`

[Package galgo version 1.4 Index]